{
  pkgs,
  stdenv,

  ...
}:
let
  version = pkgs.glibc.version;
  src = pkgs.glibc.src;
  pname = "glibcPatos";
in
stdenv.mkDerivation (finalAttrs: {
  inherit version;
  inherit src;
  inherit pname;

  enableParallelBuilding = true;
  dontPatchShebangs = true;

  configureFlags = [
    "--prefix=/"
    "--libdir=/lib"
    "--bindir=/bin"
    "--sysconfdir=/etc"
  ];

  preConfigure =
    ''
      export PWD_P=$(type -tP pwd)
      for i in configure io/ftwtest-sh; do
          sed -i "$i" -e "s^/bin/pwd^$PWD_P^g"
      done

      mkdir ../build
      cd ../build

      configureScript="`pwd`/../$sourceRoot/configure"
    '';

  nativeBuildInputs = with pkgs; [
      bison
      python3Minimal
  ];

  outputs = [
    "out"
  ];

  preInstall = ''
    export DESTDIR=${placeholder "out"}
  '';

})
