{
  lib,
  stdenv,
  buildPackages,
  fetchFromGitHub,
  autoconf,
  zlib,
}:

stdenv.mkDerivation {
  pname = "kexec-tools";
  version = "main";

  src = fetchFromGitHub {
    owner = "horms";
    repo = "kexec-tools";
    rev = "a7fcd424c4c80dea5a2fd5ffa274ffeb8129c790";
    hash = "sha256-QKE+KCkueA21zNunTMidP9OuZaw0IG5tFDF4UJITTTQ=";
  };

  dontPatchShebangs = true;

  hardeningDisable = [
    "format"
    "pic"
    "relro"
    "pie"
  ];

  buildCommand = ''
    unpackPhase
    mkdir -p $out
    cd source
    ./bootstrap
    ./configure --prefix=/
    make DESTDIR=$out install
  '';

  depsBuildBuild = [ buildPackages.stdenv.cc ];

  buildInputs = [
    zlib
    autoconf
  ];

  enableParallelBuilding = true;

  meta = with lib; {
    homepage = "http://horms.net/projects/kexec/kexec-tools";
    description = "Tools related to the kexec Linux feature";
    platforms = platforms.linux;
    badPlatforms = [
      "microblaze-linux"
      "microblazeel-linux"
      "riscv64-linux"
      "riscv32-linux"
      "sparc-linux"
      "sparc64-linux"
    ];
    license = licenses.gpl2Only;
  };
}
