{
  pkgs,
  stdenvNoCC,
  patosPkgs,
  version,
  ...
}:
let
  pname = "patos-rootfs";
in
stdenvNoCC.mkDerivation (finalAttrs: {
  inherit version;
  inherit pname;

  buildInputs = with pkgs; [
    glibc
    binutils
  ];

  glibcPatos = patosPkgs.glibc.out;
  systemd = patosPkgs.systemd.out;
  dbusBroker = patosPkgs.dbus-broker.out;
  kernel = patosPkgs.kernel.kernel;
  busybox = pkgs.busybox.out;
  kmodLibs = pkgs.kmod.lib;
  kmodBin = pkgs.kmod.out;
  libbpf = pkgs.libbpf.out;
  btrfs = pkgs.btrfs-progs.out;
  tpm2Libs = patosPkgs.tpm2-tss.out;
  tpm2Tools = patosPkgs.tpm2-tools.out;
  kexec = patosPkgs.kexec.out;

  builder = ./mkrootfs.sh;
})
