{
  stdenv,
  fetchurl,
  lib,
  pandoc,
  pkg-config,
  curl,
  openssl,
  patosPkgs,
  libuuid,
}:

stdenv.mkDerivation rec {
  pname = "tpm2-tools";
  version = "5.7";

  src = fetchurl {
    url = "https://github.com/tpm2-software/${pname}/releases/download/${version}/${pname}-${version}.tar.gz";
    sha256 = "sha256-OBDTa1B5JW9PL3zlUuIiE9Q7EDHBMVON+KLbw8VwmDo=";
  };

  nativeBuildInputs = [
    pandoc
    pkg-config
  ];
  buildInputs = [
    curl
    openssl
    patosPkgs.tpm2-tss
    libuuid
  ];

  # Unit tests disabled, as they rely on a dbus session
  configureFlags = [ "--prefix=/" ];
  preInstall = ''
    mkdir -p $out
    export DESTDIR=$out
  '';
  doCheck = false;

  meta = with lib; {
    description = "Command line tools that provide access to a TPM 2.0 compatible device";
    homepage = "https://github.com/tpm2-software/tpm2-tools";
    license = licenses.bsd3;
    platforms = platforms.linux;
    maintainers = with maintainers; [ tomfitzhenry ];
  };
}
